For Developers

List Publishable Keys

GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/publishable-keys

Returns all publishable keys for the application. Each key is a model-shaped MikroORM PublishableKey entity ordered by sequence.

Requires publishable_keys.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/publishable-keys`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "fe75b1b2-2c56-4c4b-a7a1-80048da6b24f",
            "created_date": "2024-01-15T08:00:00.000Z",
            "updated_date": "2024-01-15T08:00:00.000Z",
            "name": "Default Publishable Key",
            "key": "pk_live_abc123...xyz789"
        }
    ]
}
  • POST /api/v2/teams/:team_id/applications/:application_id/publishable-keys — Create a publishable key
  • DELETE /api/v2/teams/:team_id/applications/:application_id/publishable-keys/:publishable_key_id — Revoke a key